Subject: bug#22298: 25.1.50; Enabling tool-bar-mode caused frame size setting failure

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 24 Jan 2022 14:40:46 +0100

CHENG Gao <[email-masked]> writes:

> ,----
> | (when window-system (set-frame-size (selected-frame) 155 38 nil)
> | 	  (set-frame-position (selected-frame) 0 0))

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

Yes, en/disabling the tool bar will change the size of the frame, so you
have to en/disable it before setting the frame size.

I don't think this is a bug -- it's how Emacs has always worked, so I'm
closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no